<?php
define(NS_STACTICS_PLUS,"172.17.1.76:7778/fzdatamining/HTTP?service=");//内网地址
//define(NS_STACTICS_PLUS,"202.102.94.176:7778/fzdatamining/HTTP?service=");  //分站外网地址

/**
 * statistics_plus
 * 默认接受字符gbk,页面字符gbk,只支持get方式传输$day格式date("Ymd")
 * @package classes  
 * @author breathing
 * @copyright www.house365.com
 * @version 2013
 * @access public
 */
class statistics_plus
{
    var $appName;
    var $city;
    var $sourceCharSet;
    var $inChar;
    var $outChar;

    /**
     * statistics::statistics()
     * 
     * @param mixed $appName 应用名称
     * @param string $sourceCharSet 编码
     * @return
     */
    function statistics_plus($appName,$city,$sourceCharSet="gbk"){

        $this->appName  = $appName;
        $this->city    = $city;
        $this->sourceCharSet    = strtolower($sourceCharSet);
    }
   
        
        /**
         * 获取小区周点击排行记录(xz_new 2013-06-18)
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @param limit,返回记录数，0 全部返回，>0返回对应的记录数
         * @param desc ,按照统计数排序，1=升序，0降序
		 * @param string district  区属条件
         * @return 排行记录集
         * @throws RemoteException
         */
        function getClickCountListOfBlockWeekly($day='',$app='sell',$limit,$desc,$district){ 
                $url = "http://".$this->appName."{name:ClickCount,method:getClickCountListOfBlockWeekly,params:[".$day.",".$app.",".$limit.",".$desc.",'".$district."',".$this->city."]}";
                $strData = @file_get_contents($url);
				//echo '<!--'.$url.'-->';
				$array_data	= json_decode($strData,TRUE);
                $array_data	= json_decode($array_data['returnobject'],TRUE);
                return $array_data;
        }


        /**
         * 获取小区周点击排行记录(xz_new 2013-06-18)
         * 
         * @param day   ,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param app   ,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @param limit ,返回记录数，0 全部返回，>0返回对应的记录数
         * @param desc  ,按照统计数排序，1=升序，0降序
         * @return 排行记录集
         * @throws RemoteException
        */

        function getClickCountListOfDistrictWeekly($day='',$app='sell',$limit,$desc){ 
            $url = "http://".$this->appName."{name:ClickCount,method:getClickCountListOfDistrictWeekly,params:[".$day.",".$app.",".$limit.",".$desc.",".$this->city."]}";

            $strData = @file_get_contents($url);

            return $this->json_to_array($strData);
        }


        /**
         *  获取经纪人下各个范围（小区、街区、区属）房源的均价和房源量统计数据
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param uid,经纪人id
         * @param regionType, 统计的范围：1-小区 2-街道 3-区域
         * @param id，小区id或者街道id或者区域名，该值与regionType 组合使用
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return 返回一条统计记录。包括均价、房源数等信息
         */
        function getHouseCountByUidRegion($day='',$uid,$regionType,$id,$app='sell'){ 
                $url = "http://".$this->appName."{name:HouseCount,method:getHouseCountByUidRegion,params:[".$day.",".$uid.",".$regionType.",".$id.",".$app."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return ($array_data);
        }


        /**
         * 获取 具体范围（小区、街区、区属）的均价、房源量统计数据  (xz_new 2013-06-18)
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param regionType, 统计的范围：1-小区 2-街道 3-区域
         * @param id，小区id或者街道id或者区域名，该值与regionType 组合使用
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return 返回一条统计记录。包括均价、房源数等信息
         */
        
        function getHouseCountByRegion($day='',$regionType,$id,$app='sell'){ 
                $url = "http://".$this->appName."{name:HouseCount,method:getHouseCountByRegion,params:[".$day.",".$regionType.",".$id.",".$app.",".$this->city."]}";
                $strData = @file_get_contents($url);
				
                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return ($array_data);
        }


        /**
         * 获取某一天某个经纪人操作记录
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param uid,经纪人id
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell,为空是sell+rent
         * @param start,分页查询跳过的记录数，该值大于或等于 0
         * @param limit,返回记录数，0 全部返回，>0返回对应的记录数
         * @param desc,按照操作时间排序，1=升序，0降序
         * @return
         * @throws RemoteException
         */
        function getOperateList($day='',$uid,$app,$start,$limit,$desc='0'){ 
            
                $url = "http://".$this->appName."{name:OperateCount,method:getOperateList,params:[".$day.",".$uid.",".$app.",".$start.",".$limit.",".$desc."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }


		/**
		 * 获取某一天经纪人操作统计 (xz_new 2013-06-18)
		 * 
		 * @param day
		 *            ,统计日期（yyyyMMdd），如果不传入，默认为前一天
		 * @param uid
		 *            ,经纪人id
		 * @param operateType
		 *            , 统计的范围：0 返回所有的数据,>0返回对应的操作类型数据
		 * @param app
		 *            ,应用名,rent 租房，sell 二手房，如果不传入，默人为sell+rent
		 * @return
		 */
        function getOperateCount($day='',$uid,$operateType=0,$app=''){ 
                $url = "http://".$this->appName."{name:OperateCount,method:getOperateCount,params:[".$day.",".$uid.",".$operateType.",".$app.",".$this->city."]}";
				//echo '<!--'.$url.'-->';
                $strData = @file_get_contents($url);

                $array_data	= json_decode($strData,TRUE);
                $array_data	= json_decode($array_data['returnobject'],TRUE);

                return $array_data;
        }


        /**
         * 获取某一天某个经纪人操作记录 (xz_new 2013-06-18)
         * 
         * @param day   ,   统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param uid   ,   经纪人id
         * @param app   ,   应用名,rent 租房，sell 二手房，如果不传入，默人为sell+rent
         * @param start ,   分页查询跳过的记录数，该值大于或等于 0
         * @param limit ,   返回记录数，0 全部返回，>0返回对应的记录数
         * @param desc  ,   按照操作时间排序，1=升序，0降序
         * @param type  ,   1新增 2刷新 3删除 4失效 5再发布        
         * @return
         * @throws RemoteException
         */
        
        function getOperateListByType($day='',$uid,$app,$start,$limit,$desc=0,$type=''){
            
                $url = "http://".$this->appName."{name:OperateCount,method:getOperateListByType,params:[".$day.",".$uid.",".$app.",".$start.",".$limit.",".$desc.",".$type.",".$this->city."]}";
				//echo '<!--'.$url.'-->';
                $strData = @file_get_contents($url);
                
                $array_data =json_decode($strData,TRUE);
                $array_data = json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }


        /**
         * 获取某一天某个经纪人登入记录 (xz_new 2013-06-18)
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param uid,经纪人id
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @param start,分页查询跳过的记录数，该值大于或等于 0
         * @param limit,返回记录数，0 全部返回，>0返回对应的记录数
         * @param desc,按照登入时间排序，1=升序，0降序
         * @return 返回登入记录集
         * @throws RemoteException
         */
        function getLoginList($day='',$uid,$app='sell',$start,$limit,$desc){ 
                $url = "http://".$this->appName."{name:LoginCount,method:getLoginList,params:[".$day.",".$uid.",".$app.",".$start.",".$limit.",".$desc.",".$this->city."]}";
                $strData = @file_get_contents($url);

                $array_data	= json_decode($strData,TRUE);
                $array_data	= json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }

        /**
         * 获取某一天经纪人登入统计(xz_new 2031-06-18)
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param uid,经纪人id
         * @return
         */
       
        function getLoginCount($day='',$uid){
            
                $url = "http://".$this->appName."{name:LoginCount,method:getLoginCount,params:[".$day.",".$uid.",".$this->city."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }

        /**
         * 获取某个经纪人下某个房源类型的房源量统计
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param uid,经纪人id
         * @param infoType,房源类型，住宅，别墅，商铺，写字楼等
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return 返回统计值
         */
        function getHouseCountByUidInfotype($day='',$uid,$infotype,$app='sell'){ 
                $url = "http://".$this->appName."{name:HouseCount,method:getHouseCountByUidInfotype,params:[".$day.",".$uid.",".$infotype.",".$app."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }

        /**
         * 获取某个经纪人下各个房源类型房的房源量排行
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param uid,经纪人id
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @param limit,返回记录数，0 全部返回，>0返回对应的记录数
         * @param desc,按照统计数排序，1=升序，0降序
         * @return 返回排行记录集
         */

        function getHouseCountListOfInfotypeByUid($day='',$uid,$app='sell',$limit,$desc){ 
                $url = "http://".$this->appName."{name:HouseCount,method:getHouseCountListOfInfotypeByUid,params:[".$day.",".$uid.",".$app.",".$limit.",".$desc."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }

        /**
         * 获取某个经纪人下各个房屋面积区间的房源量排行
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param uid,经纪人id
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @param limit,返回记录数，0 全部返回，>0返回对应的记录数
         * @param desc,按照统计数排序，1=升序，0降序
         * @return 返回排行记录集
         * @throws RemoteException
         */
        function getHouseCountListOfBuildareaByUid($day='',$uid,$app='sell',$limit,$desc)
		{ 
           $url = "http://".$this->appName."{name:HouseCount,method:getHouseCountListOfBuildareaByUid,params:[".$day.",".$uid.",".$app.",".$limit.",".$desc."]}";

           $strData = @file_get_contents($url);

           $array_data=json_decode($strData,TRUE);
           $array_data=json_decode($array_data[returnobject],TRUE);

           return $array_data;
        }

        /**
         * 获取某个经纪人下各个房屋价格区间的房源量排行
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param uid,经纪人id
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @param limit,返回记录数，0 全部返回，>0返回对应的记录数
         * @param desc,按照统计数排序，1=升序，0降序
         * @return 返回排行记录集
         * @throws RemoteException
         */
        function getHouseCountListOfPriceByUid($day='',$uid,$app='sell',$limit,$desc){ 
                $url = "http://".$this->appName."{name:HouseCount,method:getHouseCountListOfPriceByUid,params:[".$day.",".$uid.",".$app.",".$limit.",".$desc."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }
		


		/**
			 * 获取经纪人下小区范围房源的排行数据（均价或者房源量排行）
			 * 
			 * @param day
			 *            ,统计日期（yyyyMMdd），如果不传入，默认为前一天
			 * @param uid
			 *            ,经纪人id	 
			 * @param countType
			 *            , 1 均价 2 房源量
			 * @param limit
			 *            ,返回记录数，0 全部返回，>0返回对应的记录数
			 * @param desc
			 *            ,按照统计数排序，1=升序，0降
			 * @param app
			 *            ,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
			 * @param city
			 *             ,城市
			 * @return 返回排行记录集。
			 * @throws RemoteException
		*/
        function getHouseCountListOfRegionByUid($day='',$uid,$countType,$limit,$desc,$app='sell'){ 
                $url = "http://".$this->appName."{name:HouseCount,method:getHouseCountListOfRegionByUid,params:[".$day.",".$uid.",$countType,$limit,$desc,".$app.",".$this->city."]}";
                $strData = @file_get_contents($url);
				//echo '<!--'.$url.'-->';
                $array_data	= json_decode($strData,TRUE);
                $array_data	= json_decode($array_data[returnobject],TRUE);
					
                return $array_data;
        }
        
        
        /**
         *	获取经纪人下发布的房源量统计
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param uid,经纪人id
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return
         */
        function getHouseCountByUid($day='',$uid,$app='sell'){ 
                $url = "http://".$this->appName."{name:HouseCount,method:getHouseCountByUid,params:[".$day.",".$uid.",".$app."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }

        /**
         * 获取 每个小时下 特定范围（门店/区域/总公司）下相应的操作类型的统计记录集
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param belongType,查找范围，1-门店，2-区域，3-总公司
         * @param id，范围id，即门店或者区域或者公司信息等，该值与belongType组合使用
         * @param operateType，操作类型， 1:新增 2刷新 3删除
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return 返回按照按照小时派讯的每个类别统计数据列表
         */

        function getOpreateCountListOfHour($day='',$belongType,$id,$operateType,$app='sell'){ 
                $url = "http://".$this->appName."{name:OperateCount,method:getOpreateCountListOfHour,params:[".$day.",".$belongType.",".$id.",".$operateType.",".$app."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }

        /**
         * 获取 某天 特定范围（门店/区域/总公司）下相应的操作类型的统计记录集
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param belongType,查找范围，1-门店，2-区域，3-总公司
         * @param id，范围id，即门店或者区域或者公司信息等，该值与belongType组合使用
         * @param operateType，操作类型， 1:新增 2刷新 3删除
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return 返回统计值
         */

        function getOpreateCountOfDay($day='',$belongType,$id,$operateType,$app='sell'){ 
                $url = "http://".$this->appName."{name:OperateCount,method:getOpreateCountOfDay,params:[".$day.",".$belongType.",".$id.",".$operateType.",".$app."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }

         /**
         * 获取 特定范围（门店/区域/总公司）下一段时间内的操作类型的统计记录集
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param belongType,查找范围，1-门店，2-区域，3-总公司
         * @param id，范围id，即门店或者区域或者公司信息等，该值与belongType组合使用
         * @param operateType，操作类型， 1:新增 2刷新 3删除
         * @param days,多少天内的数据，从day值开始往前推(包括day当天)，总计days天
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return 返回记录集
         */
        function getOpreateCountListOfDayByDays($day='',$belongType,$id,$operateType,$days,$app='sell'){ 
                $url = "http://".$this->appName."{name:OperateCount,method:getOpreateCountListOfDayByDays,params:[".$day.",".$belongType.",".$id.",".$operateType.",".$days.",".$app."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }


        /**
         * 获取 一段时间内具体所属（门店，区域，总公司）的点击量记录集
         * @param day，,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param belongType,查找范围，1-门店，2-区域，3-总公司
         * @param id，即门店或者区域或者公司信息等，该值与belongType组合使用
         * @param days,多少天内的数据，从day值开始往前推(包括day当天)，总计days天
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return 返回记录集
         */
        function getClickCountListByBelong($day='',$belongType,$id,$days,$app='sell'){ 
                $url = "http://".$this->appName."{name:ClickCount,method:getClickCountListByBelong,params:[".$day.",".$belongType.",".$id.",".$days.",".$app."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }

        /**
         * 获取具体所属（门店，区域，总公司）的点击量
         * @param day，,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param belongType,查找范围，1-门店，2-区域，3-总公司
         * @param id，即门店或者区域或者公司信息等，该值与belongType组合使用
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return
         */
        function getClickCountByBelong($day='',$belongType,$id,$app='sell'){ 
                $url = "http://".$this->appName."{name:ClickCount,method:getClickCountByBelong,params:[".$day.",".$belongType.",".$id.",".$app."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }


        /**
         * 获取 具体所属（门店、区域、公司）下特定的星级房源的 均价、房源量统计数据
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param belongType, 统计的类型：1-门店 2-区域 3-公司
         * @param id,门店或者区域或者公司信息
         * @param grade,星级
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return 返回一条统计记录，包括均价、房源数等信息
         * @throws RemoteException
         */
        function getHouseCountByBelongGrade($day='',$belongType,$id,$grade,$app='sell'){ 
                $url = "http://".$this->appName."{name:HouseCount,method:getHouseCountByBelongGrade,params:[".$day.",".$belongType.",".$id.",".$grade.",".$app."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }


         /**
         * 获取新增房源的均价和房源量统计数据
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param type, 统计的范围：1-小区 2-街道 3-区域
         * @param id，小区id或者街道id或者区域名，该值与type 组合使用
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return 返回统计记录。包括均价、房源数等信息
         */
        function getNewAddHouseCountOfAvgAndCount($day='',$type,$id,$app='sell'){ 
                $url = "http://".$this->appName."{name:NewAddHouseCount,method:getNewAddHouseCountOfAvgAndCount,params:[".$day.",".$type.",".$id.",".$app."]}";
                //echo $url;
                $strData = @file_get_contents($url);
                //print_r($strData);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);
                return $array_data;
        }


         /**
         * 获取 某一天新增房源总量统计
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return
         * @throws RemoteException
         */
        function getNewAddHouseCount($day='',$app='sell'){ 
                $url = "http://".$this->appName."{name:NewAddHouseCount,method:getNewAddHouseCount,params:[".$day.",".$app."]}";
                //echo $url;
                $strData = @file_get_contents($url);
                //print_r($strData);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);
                return $array_data;
        }


        /**
         * 获取具体（小区、街道、区属）的点击量统计数据  (xz_new 2013-06-18)
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param regionType, 统计的范围：1-小区 2-街道 3-区域
         * @param id，小区id或者街道id或者区域名，该值与regionType 组合使用
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return
         */
        
        function getClickCountByRegion($day='',$regionType,$id,$app='sell'){ 

                $url = "http://".$this->appName."{name:ClickCount,method:getClickCountByRegion,params:[".$day.",".$regionType.",".$id.",".$app.",".$this->city."]}";
				//echo '<!--'.$url.'-->';
                $strData = @file_get_contents($url);
                $array_data	= json_decode($strData,TRUE);
                $array_data	= json_decode($array_data['returnobject'],TRUE);

                return $array_data;
        }

        /**
         * 获取某个小区下各个户型区间的房源量排行   (xz_new 2013-06-18)
         * @param day ,统计日期（yyyyMMdd），如果不传入，默认为前一天 
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @param limit ,返回记录数，0 全部返回，>0返回对应的记录数
         * @param desc ,按照统计数排序，1=升序，0降序
         * @param blockid ,小区id
         * @return
         * @throws RemoteException
        */
        
        function getHouseRoomCountByBlock($day='',$app,$limit,$desc=0,$blockid){

                $url = "http://".$this->appName."{name:HouseCount,method:getHouseRoomCountByBlock,params:[".$day.",".$app.",$limit,".$desc.",$blockid,".$this->city."]}";
                $strData = @file_get_contents($url);
				//echo '<!--'.$url.'-->';
                $array_data = json_decode($strData,TRUE);
                $array_data = json_decode($array_data['returnobject'],TRUE);

                return $array_data;
        }

        /**
        * 获取某个小区下各个户型区间的房源点击量排行 (xz_new 2013-06-18)
        * 
        * @param day ,统计日期（yyyyMMdd），如果不传入，默认为前一天
		* @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
		* @param limit ,返回记录数，0 全部返回，>0返回对应的记录数
		* @param desc ,按照统计数排序，1=升序，0降序
		* @param blockid ,小区id
		* @return
		* @throws RemoteException
        */
        function getClickRoomCountByBlock($day='',$app,$limit=0,$desc=0,$blockid){
				
                $url = "http://".$this->appName."{name:ClickCount,method:getClickRoomCountByBlock,params:[$day,$app,$limit,$desc,$blockid,".$this->city."]}";
				
				//echo '<!--'.$url.'-->';
                $strData = @file_get_contents($url);

                $array_data = json_decode($strData,TRUE);
                $array_data = json_decode($array_data[returnobject],TRUE);

                return $array_data;
        }

        /**
         * 获取某个小区下各个价格区间的房源量排行 (xz_new 2013-06-18)
         * 
         * @param day ,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @param limit ,返回记录数，0 全部返回，>0返回对应的记录数
         * @param desc ,按照统计数排序，1=升序，0降序
         * @param blockid ,小区id
         * @return
         * @throws RemoteException
        */
        
        function getHousePriceCountByBlock( $day = '',$app,$limit,$desc,$blockid ){

            $url = "http://".$this->appName."{name:HouseCount,method:getHousePriceCountByBlock,params:[".$day.",".$app.",$limit,".$desc.",$blockid,".$this->city."]}";

            $strData = @file_get_contents($url);

            $array_data = json_decode($strData,TRUE);
            $array_data = json_decode($array_data[returnobject],TRUE);

            return $array_data;
        }
        

        /**
         * 获取某个小区下各个价格区间的房源点击量排行 (xz_new 2013-06-18)
         * 
         * @param day ,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @param limit ,返回记录数，0 全部返回，>0返回对应的记录数
         * @param desc ,按照统计数排序，1=升序，0降序
         * @param blockid ,小区id
         * @return
         * @throws RemoteException
        */
        
        function getClickPriceCountByBlock( $day = '',$app,$limit,$desc,$blockid ){

            $url = "http://".$this->appName."{name:ClickCount,method:getClickPriceCountByBlock,params:[".$day.",".$app.",$limit,".$desc.",$blockid,".$this->city."]}";
            $strData = @file_get_contents($url);
			//echo '<!--'.$url.'-->';
            $array_data = json_decode($strData,TRUE);
            $array_data = json_decode($array_data[returnobject],TRUE);

            return $array_data;
        }


        /**
         * 获取 某一天所有有效房源统计
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return
         */
        function getHouseCount($day='',$app='sell'){ 
                $url = "http://".$this->appName."{name:HouseCount,method:getHouseCount,params:[".$day.",".$app."]}";
                $strData = @file_get_contents($url);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);
                return $array_data;
        }


        /**
         * 获取 某一天所有点击量
         * @param day,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @return
         */
        function getClickCount($day='',$app='sell'){ 
                $url = "http://".$this->appName."{name:ClickCount,method:getClickCount,params:[".$day.",".$app."]}";
                //echo $url;
                $strData = @file_get_contents($url);
                //print_r($strData);

                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);
                return $array_data;
        }


         /**
         * 获取 公司在各个小区的房源统计信息
         * @param day ,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param app ,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @param company,门店id
         * @return 返回json数据，json对象包括三个字段，
         * {"blockid":"1","companycount":0,"allcount":971},companycount为该公司在该小区的房源数，allcount死该小区共有房源数
         * @throws RemoteException
         */
        function getHouseBlockCountByCompany($day='', $app='sell', $agentcode, $agenttype){ 
                $url = "http://".$this->appName."{name:HouseCount,method:getHouseBlockCountByAllCompany,params:[".$day.",".$app.",".$agentcode.",".$agenttype."]}";
                $strData = @file_get_contents($url); 
                $strData = $this->strIconv($strData,"gbk",$this->sourceCharSet);
                return $this->json_to_array($strData);
        }

        /**
         * 获取 公司在各个区属的房源统计信息
         * @param dayday ,统计日期（yyyyMMdd），如果不传入，默认为前一天
         * @param app,应用名,rent 租房，sell 二手房，如果不传入，默人为sell
         * @param company,公司id
         * @return 返回json数据，json对象包括三个字段，
         * {"district":"下关区","companycount":0,"allcount":7519},companycount为该公司在该区属的房源数，allcount死该小区共有房源数
         * @throws RemoteException
         */
        function getHouseDistrictCountByCompany($day='', $app='sell', $agentcode, $agenttype){ 
                $url = "http://".$this->appName."{name:HouseCount,method:getHouseDistrictCountByAllCompany,params:[".$day.",".$app.",".$agentcode.",".$agenttype."]}";
                $strData = @file_get_contents($url); 
                return $this->json_to_array($strData);
        }


        function getFidCountList($day='', $app='sell', $num){ 
                $url = "http://".$this->appName."{name:ClickCount,method:getFidCountList,params:[".$day.",".$app.",".$num.",0]}";
                $strData = @file_get_contents($url); 
                $strData = $this->strIconv($strData,"gbk",$this->sourceCharSet);
                return $this->json_to_array($strData);
        }


        function getHouseCountOfBlockCompany($starttime ='', $endtime, $blockid, $agentcode, $time){ 

                $url = 'http://'.$this->appName.'{name:HouseCount,method:getHouseCountOfBlockCompany,params:['. '"'
                          . $starttime . '"' . "," . '"' . $endtime . '"' . "," . '"' . $blockid . '"' . "," . '"' . $agentcode . '"' . "," . '"' . $time . '"' . "]}";
                $strData = @file_get_contents($url);
                $array_data = json_decode($strData, true);
                $array_data=json_decode($array_data[returnobject],TRUE);
                return $array_data;
        }

        function getClickCountListOfDirStrBlo($starttime='',$endtime='', $app='sell', $type, $data) {
                $url = "http://".$this->appName."{name:ClickCount,method:getClickCountListOfDirStrBlo,params:[".'"' . $starttime . '"'
                     .",". '"' . $endtime .'"' .",". '"' . $app .'"'.",10,0," . $type . "," . $data . "]}";
                $strData = file_get_contents($url);
                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);
                return $array_data;
        }

        function getClickCountOfSearchCondition($starttime='',$endtime='', $app='sell', $type, $data) {
                $url = "http://".$this->appName."{name:ClickCount,method:getClickCountOfSearchCondition,params:[".'"' . $starttime . '"'
                     .",". '"' . $endtime .'"' .",". '"' . $app .'"'."," . $type . "," . $data . "]}";
                $strData = file_get_contents($url);
                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);
                return $array_data;
        }

        function getClickCountOfKeyWord($starttime='',$endtime='', $app='sell', $count) {
                $url = "http://".$this->appName."{name:ClickCount,method:getClickCountOfKeyWord,params:[".'"' . $starttime . '"'
                     .",". '"' . $endtime .'"' .",". '"' . $app .'"'."," . $count . ",0]}";
                $strData = file_get_contents($url);
                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject],TRUE);
                return $array_data;
        }

        function getClickCountOfCombin($starttime='',$endtime='', $district, $app='sell', $count) {
                $url = "http://".$this->appName."{name:ClickCount,method:getClickCountOfCombin,params:[".'"' . $starttime . '"'
                     .",". '"' . $endtime .'"' .",". '"' . $district .'"' . ",". '"' . $app .'"' . "," . $count . "]}";
                $strData = file_get_contents($url);
                $array_data=json_decode($strData,TRUE);
                $array_data=json_decode($array_data[returnobject], true);
                return $array_data;
        }

    /**************分割线************************/
    /**
     * statistics::tourl()
     * 格式化数组参数
     * @param array $array
     * @return string
     */
    function tourl($array){
        if(is_array($array) && !empty($array)){
            foreach($array as $k=>$v){
                    $ss.="&".$k."=".@urlencode(trim($v));
            }
        }
        return $ss;
    }

    /**
    * statistics::GetIP()
    * 获得客户端ip
    * @return string
    */
    function GetIP(){

        $ip = $_SERVER["REMOTE_ADDR"];
        
        if( !empty($_SERVER["HTTP_X_FORWARDED_FOR"]) ){
            $tip    = split(",",$_SERVER["HTTP_X_FORWARDED_FOR"]);
            $ip = $tip[0];
        }
        
        return(trim($ip));
    }

    /**
     * statistics::aryIconv()
     * 输入数组并返回数组
     * @param array $array 输入的数组
     * @param mixed $inChar 输入数组的编码
     * @param mixed $outChar 返回数组的编码
     * @return array
     */
    function aryIconv($array,$inChar,$outChar)
    {
        $this->inChar=$inChar;
        $this->outChar=$outChar;
        return $this->arraymyicov($array);
    }

    /**
     * statistics::arraymyicov()
     * 内部方法,循环数组
     * @param array $array
     * @return array
     */
    function arraymyicov($array)
    {
        foreach ((array)$array as $key=>$value)
        {
            $key=$this->strIconv($key);
            if (!is_array($value))
            {
                $value=$this->strIconv($value);
            }
            else
            {
                $value=$this->arraymyicov($value);
            }
            $temparray[$key]=$value;
        }
        return $temparray;
    }

    /**
     * statistics::strIconv()
     * 替换数组编码
     * @param mixed $strInput
     * @param string $inChar
     * @param string $outChar
     * @return string
     */
    function strIconv($strInput,$inChar="",$outChar="")
    {
        if($inChar)
            $this->inChar = $inChar;
        if($outChar)
            $this->outChar = $outChar;
        $strOutput = iconv($this->inChar,$this->outChar,$strInput);
        if($strOutput !== false)
            return $strOutput;
        else
            return $strInput;
    }


    function json_to_array($data){

        $array_data=json_decode($data,TRUE);
        $array_data=json_decode($array_data[returnobject],TRUE);

        return $array_data;
    }

}
?>